#
# spec file for package tree-sitter-xml
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _name xml
Summary:        Xml grammar for tree-sitter
Name:           tree-sitter-%{_name}
Version:        0.6.2
Release:        1.1
License:        MIT
Group:          Development/Tools/Other
URL:            https://github.com/tree-sitter-grammars/tree-sitter-xml
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{_name} dtd

%description
%{summary}.

%prep
%autosetup -p1

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install

%files
%{treesitter_files}
%license LICENSE

%changelog
* Mon Apr 29 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Update to version 0.6.2:
  * fix(scanner): no more memory leaks
  * feat: update bindings
  * refactor(scanner): use upstream array macros
  * tests: unify using annotations
* Mon Mar 18 2024 Björn Bidar <bjorn.bidar@thaodan.de>
- Initial packaging for openSUSE
- Update to version 0.6.1:
  * build: hopefully fix windows (take 2)
  * build: add prebuildify
  * build: hopefully fix windows
  * fix(scanner): no more memory leaks
  * ci: publish to pypi
  * feat: update bindings
  * refactor(scanner): use upstream array macros
  * tests: unify using annotations
  * ci: use upstream actions
  * chore: update manifests
